Skip to main content
PATCH
Confirm or decline a booking

Authorizations

Authorization
string
header
required

Use the Authorization header with Bearer scheme.

Examples:

  • API Key: Authorization: Bearer calid_xxxxx

Path Parameters

id
integer
required

Numeric booking identifier.

Required range: x > 1
Example:

101

Body

application/json
confirmed
boolean
required

Whether the booking is accepted (true) or declined (false).

Example:

true

recurringEventId
string | null

Optional recurring event instance identifier.

Example:

"rec_evt_123"

reason
string

Optional reason for declining or accepting.

Example:

"Host is unavailable"

Response

Booking status changed

Booking status changed

success
enum<boolean>
required
Available options:
true
data
object
message
string
meta
object